=== debian/changelog ===
paperwork (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * debian/control: Remove python3-dateutil from Build-Depends
  * debian/patches: drop patch for scikit-learn requirement removal
    (see #1001578)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 23 Feb 2022 23:15:01 +0100

paperwork (2.1.0-2) unstable; urgency=medium

  * debian/patches: Re-disable chkdeps plugins (previous patch refresh failed
    to include that part)
  * debian/tests: Be more verbose about which package dependency is missing
  * debian/{control,tests}: Add libreoffice as Suggests

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 16 Dec 2021 23:14:42 +0100

paperwork (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control:
    + Remove :any M-A qualifier from python3-all Build-Depends
    + Update build dependencies
    + Move dependencies to correct binary packages
    + Add python3-sklearn to Build-Depends
  * debian/watch: Update watch file for next upstream release
  * debian/patches:
    + Refresh patches for new upstream release
    + Reformat patches metadata
    + Remove scikit-learn from paperwork-backend requirements
      to workaround #1001578
  * debian/copyright: update years and add component license
  * debian/tests: remove workaround for ARM 32bits tests

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 13 Dec 2021 23:57:06 +0100

paperwork (2.0.3-3) unstable; urgency=medium

  * Add Multi-Arch indications
  * Re-enable html documentation builds

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 31 Oct 2021 13:27:51 +0100

paperwork (2.0.3-2) unstable; urgency=medium

  * Disable html documentation builds (see #995365)
  * Specify python3-all arch in Build-Depends to make lintian happy
  * Disable libinsane workaround for autopkgtests (fix #983515)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 11 Oct 2021 19:27:18 +0200

paperwork (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * debian/watch: Use source documents to build documentation from source
  * Build documentation PDFs from source
  * debian/control: Bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 29 Sep 2021 18:04:02 +0200
