## paperwork 2.1.2

=== debian/changelog ===
paperwork (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * debian/patches: cherry-pick upstream commit to fix plugin adding/removing
  * Bumps Standards-Version to 4.6.2 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 04 Mar 2023 00:32:12 +0100
