=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python3-pyxdg,
  tesseract-ocr,
  librsvg2-bin,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://openpaper.work
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/paperwork
 Vcs-Git: https://salsa.debian.org/openpaperwork-team/paperwork.git
